码迷,mamicode.com
首页 > 编程语言
jetty中传java参数(spring-io中的配置项)
最近产品线后端无人,本人被拉去开发后端。 遇到个问题,在springio中配置文件(如:application-dev.yml)中的配置参数怎样在启动时指定。最直接的问题就是,我想打一个包,然后在启动时指定用开发环境dev还是生产环境prod的配置文件。 答案如下: export JAVA_OPTI ...
分类:编程语言   时间:2020-06-29 18:43:18    阅读次数:71
linux常用命令3:python自动任务管理
一、查看自动任务进程 方法1: top ##查看所有任务,但是只能根据command为python层级确认当前自动任务有哪些 kill PID; #kill某自动任务 方法2: ps aux | grep python ##查看当前正在运行的自动任务,可以根据command为python名字确认当前 ...
分类:编程语言   时间:2020-06-29 18:42:52    阅读次数:67
优化查找和排序
优化查找和排序 C++程序会进行许多查找操作。从编程语言的编译器到浏览器,从控制链表到数据库,许多反复进行的程序活动都会在某个内部的循环底层进行查找操作。就经验而言,查找操作通常会出现在热点函数的列表中。因此我们需要特别注意查找操作的效率。 使用stdmap和stdstring的键值对表 使用std ...
分类:编程语言   时间:2020-06-29 18:40:43    阅读次数:60
python基础--1.数据操作
python数据类型有三种: 1. 列表 [ list ]:值可更改 --创建一个空list:a=[ ] 或 a=() --增加列表中的一个元素: list.append() list末尾增加一个元素 list.insert(n,'4') 在角标你的位置添加元素4 list.extend(list ...
分类:编程语言   时间:2020-06-29 18:34:21    阅读次数:64
Springboot 报错 Invalid character found in the request target. The valid characters are defined in RFC 7230 and RFC 3986
今天看项目日志,发现报这个异常。 是tomcat容器的问题,因为出现了特殊字符,所以报异常了。Invalid character found in the request target. The valid characters are defined in RFC 7230 and RFC 398 ...
分类:编程语言   时间:2020-06-29 18:33:31    阅读次数:97
python中的闭包
简单粗暴地理解为闭包就是一个定义在函数内部的函数,闭包中外部函数返回的不是一个具体的值,而是一个函数。一般情况下,返回的函数会赋值给一个变量,这个变量可以在后面被继续执行调用。闭包使得变量即使脱离了该函数的作用域范围也依然能被访问到。 #闭包函数,其中 exponent 称为自由变量 def nth ...
分类:编程语言   时间:2020-06-29 18:32:39    阅读次数:92
【python】我OUT了,原来函数中的冒号和箭头是这么回事
翻了翻httprunner的源代码,越看越不对劲,感觉有点看不懂语法了。 这都什么鬼?感觉心好慌,顿时感到惭愧万分,还好意思说自己了解Python呢。 赶紧了解一下,原来这叫 type hints,是python3.5时候新增的一个特性。 函数里参数后的冒号其实是参数的类型建议,但是只是建议,就算你 ...
分类:编程语言   时间:2020-06-29 18:31:41    阅读次数:88
Springboot之自定义校验注解
在日常代码开发中,我们需要对实体类中的各个属性进行校验,比如非空判断、url 判断等等,在 javax.validation.constraints.* 包下面集成了多个校验注解。但是随着业务的发展,我们需要自定义一些特殊的注解,比如,针对一些标志位,我们必须保证其 数值只是 Integer类型的 ...
分类:编程语言   时间:2020-06-29 18:31:00    阅读次数:64
springboot 拦截器取不到 ajax跨域请求的header参数
//OPTIONS请求直接放行if(RequestMethod.OPTIONS.name().equals(request.getMethod())) { return true;} ...
分类:编程语言   时间:2020-06-29 18:30:38    阅读次数:212
js数组排除空元素
// 待转换为数组的字符串 var a = "aa,bb,cc,dd," // 分割为数组 var b = a.split(",") 输出结果:["aa", "bb", "cc", "dd", ""] // 排除b数组中的空元素 var c = b.filter(str=>{return !!str ...
分类:编程语言   时间:2020-06-29 18:28:57    阅读次数:80
多线程实例(二)——遍历文件夹分割文件识别文件内容
上篇写完,感觉作为一个程序员,没有撸到底好像有点不过瘾对不对?大家都知道,C#早已进阶到8.0时代了,还用原始的Thread来写感觉有点low呀,而且通篇到最后居然还有线程最大值限制,技术控不能忍!!! 那么本篇就干脆继续优化,理想状态是8秒,我就必须将整个过程压缩到8秒这个量级!而且尽量使用新技术 ...
分类:编程语言   时间:2020-06-29 17:21:37    阅读次数:63
数组,方法调用
一。一维数组 1.数组的创建三种方式 (1)。数据类型[] 数组名 = new 数据类型[元素个数或数组长度]; int[] arr=new int[4]; //赋值 arr[0]=99; arr[1]=98; arr[2]=97; int sum=0; for(int i=0;i<arr.leng ...
分类:编程语言   时间:2020-06-29 17:19:39    阅读次数:55
python的切片
python的切片可以正切,也可以反切正切是从左往右的顺序切片,这是最常用的方法例如:正向切片,默认步长是1str1="abcdef">>>str1[0:4]‘abcd‘#str1[0:4]等价于str[0:4:1]反向切片,必须指定步长,且为负值>>>str1[-1:-4:-1]‘fed‘#等价于>>>str1[5:2:-1]‘fed‘
分类:编程语言   时间:2020-06-29 17:17:18    阅读次数:59
三、SpringMVC终结篇(补充中...)
一、基本流程与总览 《Spring in Action》上给了一张 Spring MVC 最最基本大致处理流程图 解释: ① DispatcherServlet 是 SpringMVC 中的核心控制器,负责接收 Request 并将 Request 转发给对应的处理组件 ② HanlerMappin ...
分类:编程语言   时间:2020-06-29 17:17:07    阅读次数:60
springmvc
代码: @ResponseBody @RequestMapping("/hello3/{hello}") public String hello3(@PathVariable String hello) { return hello; } ...
分类:编程语言   时间:2020-06-29 17:12:25    阅读次数:57
Linux中Jar启动与停止
ps aux|grep xxx.jar losf -i :prot kill -9 PID ...
分类:编程语言   时间:2020-06-29 17:09:50    阅读次数:79
5、Python 数据分析-Pandas数据清洗【2】
1、 处理重复数据drop_duplicates函数 #设定一些重复行数据 df.iloc[1] = [0,0,0,0,0,0,0,0] df.iloc[3] = [0,0,0,0,0,0,0,0] df.iloc[5] = [0,0,0,0,0,0,0,0] df.iloc[7] = [0,0,0 ...
分类:编程语言   时间:2020-06-29 17:08:43    阅读次数:72
© 2014 mamicode.com 版权所有  联系我们:gaon5@hotmail.com
迷上了代码!